Bug 54849 - Can't set a hostname witha a '-' character in it.
Can't set a hostname witha a '-' character in it.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-20 20:42 EDT by Chris Kloiber
Modified: 2008-05-01 11:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-26 05:54:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to entry input filters, applicable in dir /usr/share/redhat-config-network/netconfpkg/ (1.85 KB, patch)
2001-10-26 05:22 EDT, Nils Philippsen
no flags Details | Diff

  None (edit)
Description Chris Kloiber 2001-10-20 20:42:59 EDT
Description of Problem:

redhat-config-network will not allow me to set the hostname of the machine
to a name containing a '-' character ie:

x200-C.support.redhat.com

It won't let you set it in the alias field either.

Version-Release number of selected component (if applicable):

redhat-config-network-0.9-1
Comment 1 Trond Eivind Glomsrxd 2001-10-21 21:00:25 EDT
Will look into it.
Comment 2 Nils Philippsen 2001-10-26 05:00:36 EDT
You can set a hostname with an underscore. I guess there is an input filter
which filters dashes (which are RFC-conformant) instead of underscores (which
aren't).
Comment 3 Nils Philippsen 2001-10-26 05:22:16 EDT
Created attachment 35181 [details]
Patch to entry input filters, applicable in dir /usr/share/redhat-config-network/netconfpkg/
Comment 4 Nils Philippsen 2001-10-26 05:23:21 EDT
The unpatched filters also take the pipe character '|' as input, the patch
fixes this as well.
Comment 5 Harald Hoyer 2001-10-26 05:54:42 EDT
fixed in cvs

Note You need to log in before you can comment on or make changes to this bug.